# Modelo LaTeX de dissertação/tese do PPGInf/UFPR
Autor: prof. Carlos A. Maziero (maziero@inf.ufpr.br)
http://wiki.inf.ufpr.br/maziero/doku.php?id=software:latex
https://gitlab.c3sl.ufpr.br/maziero/tese

# Descrição:

Modelo LaTeX para dissertações, teses, qualificações, trabalhos finais de graduação
e outros documentos similares. Previamente configurado para o PPGInf/UFPR, mas pode
ser facilmente ajustado para outros programas, cursos e universidades.

# Conteúdo:
```
.
├── 0-iniciais
│   ├── abstract.tex               abstract and keywordsresumo e palavras-chave
│   ├── acronimos.tex              lista de acrônimos (siglas)
│   ├── agradece.tex               agradecimentos
│   ├── aprovacao.pdf              fake: folha de aprovação
│   ├── aprovacao.tex              inclusão da folha de aprovação
│   ├── catalografica.pdf          fake: ficha catalográfica
│   ├── catalografica.tex          inclusão da ficha catalográfica
│   ├── dedica.tex                 dedicatória
│   ├── fundo-capa.jpg             imagem de fundo da capa
│   ├── resumo.tex                 resumo e palavras-chave
│   └── simbolos.tex               lista de símbolos
├── 1-intro
│   └── texto.tex                  texto do capítulo 1
├── 2-fundam
│   ├── exemplo.c
│   ├── exemplo-figura.pdf
│   └── texto.tex                  Anexo 1
├── a1-exemplo
│   └── texto.tex
├── apalike-ptbr.bst
├── changelog
├── main.tex                       fonte principal, que inclui os demais
├── Makefile                       usado para construir o PDF
├── packages.tex                   inclusão de packages úteis para a redação
├── ppginf.cls                     classe com as principais características do modelo
├── README.md
├── readme.txt
└── referencias.bib

```

# Executar
```
:~/tese $ make
```

# Pendências:

* incluir `\interfootnotelinepenalty=1000` para inibir a quebra de footnotes
* automatizar a geração das lista de símbolos e abreviações
* automatizar geração da ficha catalográfica
* posicionar ficha catalográfica no verso da 2a capa
* opção de inglês ou português (capa e rosto sempre em português)
* criar capítulos com conteúdo básico de uma dissertação ou tese
* distribuir melhor os pacotes entre ppginf.cls e packages.tex
* analisar uso de `\backmatter`
* separar apêndices de anexos?
* unificar versões em português e inglês, como opção no main.tex
* diferenciar tabelas de quadros?

